## IAnjutaWizard

IAnjutaWizard — Interface for wizards that can create new stuffs

## Stability Level

Unstable, unless otherwise indicated

## Functions

GQuark | ianjuta_wizard_error_quark ()
void | ianjuta_wizard_activate ()

## Types and Values

#define | IANJUTA_WIZARD_ERROR

## Object Hierarchy

        GInterface
        ╰── IAnjutaWizard

## Includes

    #include <libanjuta/interfaces/ianjuta-wizard.h>

## Description

## Functions

### ianjuta_wizard_error_quark ()

    GQuark
    ianjuta_wizard_error_quark (void);

### ianjuta_wizard_activate ()

    void
    ianjuta_wizard_activate (IAnjutaWizard *obj,
                             GError **err);

Called when the wizard should start after some user action

#### Parameters

obj | Self |
err | Error propagation and reporting. |

## Types and Values

### IANJUTA_WIZARD_ERROR

    #define IANJUTA_WIZARD_ERROR ianjuta_wizard_error_quark()